View Poll Results: What firmware is your iPhone running?

Voters
89. You may not vote on this poll
  • 1.1.2 or 1.1.3

    7 7.87%
  • 1.1.4 (unhacked / not jailbroken)

    6 6.74%
  • 1.1.4 (PWN'd with PWNAGE)

    25 28.09%
  • 1.1.4 (Jailbroken with anything else)

    51 57.30%
Page 1 of 2 12 LastLast
Results 1 to 20 of 25

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Downgrading from iPhone 2.0 Beta 5 5a274d to, . . . well, what?

  1. #1
    Default Downgrading from iPhone 2.0 Beta 5 5a274d to, . . . well, what?
    I'm running iPhone firmware 2.0 Beta 5 Build 5a274d on my development phone. I'm a legit provisioned Apple Developer running an unhacked version of it (I don't think it's been hacked anyways).

    Bottom line: I want to downgrade back to 1.1.4 tonight and need to know exactly what to do, considering the framework & baseband updates that come along with the 2.0 image.

    Has anyone done this yet? Will I be a first?

    ~~ ALSO: Does anyone know if developers will be able to upgrade to 2.0 final when it's released (June 9 or earlier, hopefully)? I wanted to know this in addition, because I will probably install 2.0 Beta 5 or so before it gets released again after downgrading.

    Please provide feedback.

    Thank you.
    Last edited by FireFish; 2008-05-25 at 09:56 AM.

  2. #2
    Livin the iPhone Life Apple iPie's Avatar
    Join Date
    Mar 2008
    Location
    Switzerland
    Posts
    1,113
    Thanks
    142
    Thanked 152 Times in 129 Posts

    Hi! I think I have a solution for you.
    There was a package which is able to unlock your BETA5 baseband...,try finding it in an installer.app .....
    Otherwise,get your iPhone into DFU mode and then restore to 1.1.4!!

  3. #3
    Quote Originally Posted by Apple iPie View Post
    Hi! I think I have a solution for you.
    There was a package which is able to unlock your BETA5 baseband...,try finding it in an installer.app .....
    Otherwise,get your iPhone into DFU mode and then restore to 1.1.4!!
    You can't get installer.app onto a 2.0 Beta 5 because it hasn't been jailbroken yet.
    I have 2.0 legit, not hacked or PWN'd / Jailbroken.

    Plus, you can't just downgrade to 1.1.4. I know that already & hence won't even bother trying it. What would probably happen is an endless rebooting process & iTunes displaying an error 1015 (just a guess from what I could see happening based on a baseband upgrade).

    Any other ideas?

  4. #4
    Livin the iPhone Life Apple iPie's Avatar
    Join Date
    Mar 2008
    Location
    Switzerland
    Posts
    1,113
    Thanks
    142
    Thanked 152 Times in 129 Posts

    You got me wrong. Perform a DFU restore to 1.1.4,and THEN install this package in installer.

  5. The Following User Says Thank You to Apple iPie For This Useful Post:

    FireFish (2008-05-28)

  6. #5
    Yup. DFU it, downgrade to 1.1.4. Jailbreak with Ziphone so you can get past the 1065 error in Itunes. Run Installer - look for Ierase - just search "erase" - run this and it'll downgrade your baseband (turn auto lock feature off before you do). Then you can re-install 1.1.4 through itunes and restore your phone to factory state with no errors.

  7. The Following User Says Thank You to KeyMastur For This Useful Post:

    VenomousSVT (2008-05-29)

  8. #6
    Quote Originally Posted by KeyMastur View Post
    Yup. DFU it, downgrade to 1.1.4. Jailbreak with Ziphone so you can get past the 1065 error in Itunes. Run Installer - look for Ierase - just search "erase" - run this and it'll downgrade your baseband (turn auto lock feature off before you do). Then you can re-install 1.1.4 through itunes and restore your phone to factory state with no errors.
    this should be your solution right here.. great post!

  9. #7
    Exclamation 2.0 5A308 Beta 6 downgrading to 1.1.4
    Quote Originally Posted by KeyMastur View Post
    Yup. DFU it, downgrade to 1.1.4. Jailbreak with Ziphone so you can get past the 1065 error in Itunes. Run Installer - look for Ierase - just search "erase" - run this and it'll downgrade your baseband (turn auto lock feature off before you do). Then you can re-install 1.1.4 through itunes and restore your phone to factory state with no errors.
    I'm going to attempt this again tonight. Before I do; will this work on the new firmware 2.0 Build 5A308 (Beta 6) released last night? I want to roll back to 1.1.4 for the hell of it; I'll probably end up back at 2.0 some time later.

    If anyone has tried it or has any insight, please share.

  10. #8
    Hey, have you had any luck with this? I've tried this and can't seem to get it to take the 1.1.4 Firmware. The phones in DFU Mode and then I go into iTunes hold down option select the firmware file for 1.1.4 it says extracting then errors with Error 5.

  11. #9
    Angry Impossible to roll back to 1.1.4 from 2.0 Beta 6??
    At this point I'm really convinced that it is impossible to roll back to 1.1.4 from 2.0 Beta 6 b/c of the baseband upgrades that occured.

    Then again, NOTHING is impossible, rather, it aint as easy as ZiPhone, etc.

  12. #10
    Just helped someone today with this.

    DFU down to 1.1.4.

    Use the patched ZiPhone from kIREmK.

    Downgrade the baseband with that.

    Now restore to 1.1.4 (DFU if you get a repair error or something).

    Now jailbreak and install bootneuter and make sure everything's set right.

    Now 1.1.4 again.

  13. The Following User Says Thank You to Niiro13 For This Useful Post:

    ryananderson213 (2008-07-13)

  14. #11
    [PHP[/PHP]
    Quote Originally Posted by Niiro13 View Post
    Just helped someone today with this.

    DFU down to 1.1.4.

    Use the patched ZiPhone from kIREmK.

    Downgrade the baseband with that.

    Now restore to 1.1.4 (DFU if you get a repair error or something).

    Now jailbreak and install bootneuter and make sure everything's set right.

    Now 1.1.4 again.
    let me clarify my post. When I put my 2.0 Beta 6 into DFU, then attempt to restore 1.1.4, it ends up failing with an Error 1016 + ziphone doesn't recognize or find it.

  15. #12
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    You need to PWN your phone.. then restore to the custom firmware with bootneuter which should automatically flash your baseband back to 4.04 and avoid the iTunes error.

  16. #13
    Quote Originally Posted by Poseidon79 View Post
    You need to PWN your phone.. then restore to the custom firmware with bootneuter which should automatically flash your baseband back to 4.04 and avoid the iTunes error.
    WAIT; does this mean the following:
    REMEMBERING I'm on 2.0 Beta 6 (the current beta, which PWNAGE cannot hack):

    1) I need to PWN my phone using the original 1.1.4 ipsw
    2) Restore the custom IPSW package made with PWNAGE to my iPhone (after PWNing it)
    3) Get the Error 1015
    4) Use ZiPhone to downgrade baseband
    5) Restore ORIGINAL IPSW (on baseband 3.9)
    6) PWN the phone again & upgrade the baseband to 4.3

    Something doesn't seem write. But if someone can tell me that there's no reason it shouldn't work who has experience with 2.0 beta 4 or above I'll give it a shot & post my results here.

    I thought the way everyone was explaining it here was everything above BESIDES Steps 1&2. Step 1 was to restore the ORIGINAL 1.1.4 firmware, which I can't even do. iTunes gives me an Error 1016 right after extracting the ipsw & before it gets deployed to the phone. It's failing before transferring the update to the phone + ZiPhone cannot recognize or see my phone plugged in on 2.0 Beta 6.

    Those Apple Developers in CA are catching up.

    Awaiting a reply first.
    Last edited by FireFish; 2008-06-05 at 04:52 AM. Reason: Added the original proposed plan of action

  17. #14
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    You shouldn't get the error 1015 after you restore to the custom firmware (i've read)

  18. #15
    Quote Originally Posted by Poseidon79 View Post
    You shouldn't get the error 1015 after you restore to the custom firmware (i've read)
    I know what DFU mode is, nonetheless appreciate your explanation.

    I don't know how I can explain it differently:

    iTunes will NOT send any firmware earlier than 2.0 to the iPhone successfully.
    The iPhone REJECTS it. ZiPhone cannot see the iPhone 2.0 either.

    That's the problem.

  19. #16
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    The way I got around that issue when I tested an early version of 2.0 beta was to restore on a different computer. (It was PWNED 2.0 on a mac and I restored 1.1.4 on a PC) and for some reason it worked (i don't know exactly why).

  20. #17
    Livin the iPhone Life Apple iPie's Avatar
    Join Date
    Mar 2008
    Location
    Switzerland
    Posts
    1,113
    Thanks
    142
    Thanked 152 Times in 129 Posts

    Well,try to downgrade to the FIRST build of 2.0BETA FW,and after that DFU restore to 1.1.4 will work

  21. The Following User Says Thank You to Apple iPie For This Useful Post:

    FireFish (2008-06-06)

  22. #18
    Question Downgrading then DFU that sucker to 1.1.4
    Quote Originally Posted by Apple iPie View Post
    Well,try to downgrade to the FIRST build of 2.0BETA FW,and after that DFU restore to 1.1.4 will work
    Does anyone know of a specific build # that definitely allows DFU mode --> restore 1.1.4, PWN, yada yada???
    My Beta 6 doesn't & I know Beta 5 doesn't.

    If you've done it, please share!!

    Thanks!!

  23. #19
    Livin the iPhone Life Apple iPie's Avatar
    Join Date
    Mar 2008
    Location
    Switzerland
    Posts
    1,113
    Thanks
    142
    Thanked 152 Times in 129 Posts

    Beta 1 or 2 allows DFU mode.

  24. #20
    i think this 1 does: 2.0 beta 5a225c

    it worked for me...

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •